/*
If you use the UP/DOWN keys, you can shift the timezone of SF, 
so that you can improve light/dark
*/


// import library
import de.bezier.data.*;

// declare variables
XlsReader reader;

String title, title1;
int cols=8;
int SFextra=0;
int rows=365;
int[][] sunAmsterdam = new int[cols][rows];
int[][] sunNewYork = new int[cols][rows];
int[][] sunAuckland = new int[cols][rows];
int[][] sunSanFrancisco = new int[cols][rows];
int[][] sunJakarta = new int[cols][rows];
int[][] sunMilan = new int[cols][rows];

//int[] sun = new int[8];
int x; int y;
int earliest = 500;
int latest = 500; 
int lastMonth = 0;
int barColor = 250;
int offset = 10; // this is the margin to the left

// setup, all the work is done here

void setup ()
{
  size(365*3+offset, 700);
  // size(100,100);
  stroke(2);
  fill( 0 );
  background( 255 );
  smooth();
  loadAmsterdam();
  loadSanFrancisco();

}

void draw() {
  background(255);
  monthBars();
  hourLines();
  printAmsterdam();
  printSanFrancisco();

 /* if ((mouseX-offset)/3 > 0) {
    int xLocation = (mouseX-offset)/3;
    int tempTextMonth = sunAmsterdam[0][xLocation];
    int tempTextDay = sunAmsterdam[1][xLocation];
    int tempTextSunUpHour = sunAmsterdam[2][xLocation];
    int tempTextSunUpMin = sunAmsterdam[3][xLocation];
    int tempTextSunDownHour = sunAmsterdam[4][xLocation];
    int tempTextSunDownMin = sunAmsterdam[5][xLocation];
    int tempSunUpTimeY = sunAmsterdam[6][xLocation]/2;
    int tempSunDownTimeY = sunAmsterdam[7][xLocation]/2;
    int barLength = tempSunDownTimeY-tempSunUpTimeY;
    fill(255);
    noStroke();
    rect(0, 0, 500, 20);
    fill(200,0,0);
    text(tempTextDay + "/" + tempTextMonth  +" The Sun Rises at " + tempTextSunUpHour + ":" + tempTextSunUpMin + " The Sun Sets At " + tempTextSunDownHour + ":" + tempTextSunDownMin, 20, 20);
    rect(mouseX, tempSunUpTimeY, 3, barLength);
    fill(0);
  }*/
  
  

}
void keyPressed() {
  if (key == CODED) {
    if (keyCode == UP) {
      SFextra++;
    } else if (keyCode == DOWN) {
      SFextra--;
    } 
  } else {
  }
}
