void loadSanFrancisco() {
  reader = new XlsReader( this, "sunriseSunsets.xls" );
  reader.openSheet(0);
  reader.firstRow();
  title1 = reader.getString();    // the title of the original dataset is in the first row, first cell
  reader.nextRow(); // legend
  while ( reader.hasMoreRows () )    // loop thru rows
  {
    // jump to first data row and its first cell
    // don't forget this or you'll be stuck in an endless loop
    reader.nextRow();    
    y = y+1;
    int month = reader.getInt();    // month
    sunSanFrancisco[0][y-1] = month;

    if ( month < 1 ) break;    // eyit loop once we reach the end of the values, and they become smaller than 1 basically

    reader.nextCell();    // day
    sunSanFrancisco[1][y-1] = reader.getInt(); 

    reader.nextCell();    // upHour
    sunSanFrancisco[2][y-1] = reader.getInt();

    reader.nextCell();    // upMin
    sunSanFrancisco[3][y-1] = reader.getInt(); 

    reader.nextCell();    // downHour
    sunSanFrancisco[4][y-1] = reader.getInt();

    reader.nextCell();    // downMin
    sunSanFrancisco[5][y-1] = reader.getInt();

    int upTime = (sunSanFrancisco[2][y-1]*60)+sunSanFrancisco[3][y-1];
    int downTime = (sunSanFrancisco[4][y-1]*60)+sunSanFrancisco[5][y-1];
    sunSanFrancisco[6][y-1] = upTime;
    sunSanFrancisco[7][y-1] = downTime;


    // determining the earliest and latest day, do this in a loop
    if (upTime < earliest) {
      earliest = upTime;
    }
    if (downTime > latest) {
      latest = downTime;
    }
  }
}
void printSanFrancisco() {
  for (int y = 0; y<rows-1; y++) {
    int sunUpToday = (sunSanFrancisco[6][y])/2;
    int sunDownToday = (sunSanFrancisco[7][y])/2;
fill(200,0,0);
stroke(200,0,0);
    ellipse (offset+y*3, sunUpToday, 1, 1);
    ellipse (offset+y*3, sunDownToday, 1, 1);

 text(title1, offset+300, 10);
    fill(0,0,200);
stroke(0,0,200);
    ellipse (offset+y*3, sunUpToday+SFextra/2, 1, 1);
    ellipse (offset+y*3, sunDownToday+SFextra/2, 1, 1);
 noStroke();
 text("ideal " + title1, offset+600, 10);
 //println(SFextra);
  }
}

